Commit 67147f35 authored by Andrea Sciaba's avatar Andrea Sciaba
Browse files

Upgraded to WMCore

parent 177fcd0e
...@@ -11,11 +11,12 @@ import time ...@@ -11,11 +11,12 @@ import time
import os import os
import sys import sys
from ProdCommon.FwkJobRep.SiteLocalConfig import loadSiteLocalConfig from WMCore.Storage.SiteLocalConfig import loadSiteLocalConfig
from WMCore.Storage.Registry import retrieveStageOutImpl
from StageOut.Registry import retrieveStageOutImpl import WMCore.Storage.Backends
import StageOut.Impl import WMCore.Storage.Plugins
class StageOutDiagnostic: class StageOutDiagnostic:
""" """
......
...@@ -14,7 +14,7 @@ echo "</pre>" ...@@ -14,7 +14,7 @@ echo "</pre>"
# Source the CMS environment # Source the CMS environment
echo "<h3>Sourcing the CMS environment</h3>" echo "<h3>Sourcing the CMS environment</h3>"
export SCRAM_ARCH=slc4_ia32_gcc345 export SCRAM_ARCH=slc5_amd64_gcc462
if [ -n "$OSG_APP" ] ; then if [ -n "$OSG_APP" ] ; then
echo "<p>This is an OSG site</p>" echo "<p>This is an OSG site</p>"
SW_DIR=$OSG_APP/cmssoft/cms SW_DIR=$OSG_APP/cmssoft/cms
...@@ -38,7 +38,30 @@ if [ $result != 0 ] ...@@ -38,7 +38,30 @@ if [ $result != 0 ]
exit $SAME_ERROR exit $SAME_ERROR
fi fi
export PYTHONPATH=$SAME_SENSOR_HOME/cms-MC-test:$PYTHONPATH echo "WMAgent thinks it found the correct CMSSW setup script"
if [ -e $VO_CMS_SW_DIR/COMP/slc5_amd64_gcc434/external/python/2.6.4/etc/profile.d/init.sh ]
then
. $VO_CMS_SW_DIR/COMP/slc5_amd64_gcc434/external/python/2.6.4/etc/profile.d/init.sh
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$VO_CMS_SW_DIR/COMP/slc5_amd64_gcc434/external/openssl/0.9.7m/lib:$VO_CMS_SW_DIR/COMP/slc5_amd64_gcc434/external/bz2lib/1.0.5/lib
elif [ -e $OSG_APP/cmssoft/cms/COMP/slc5_amd64_gcc434/external/python/2.6.4/etc/profile.d/init.sh ]
then
. $OSG_APP/cmssoft/cms/COMP/slc5_amd64_gcc434/external/python/2.6.4/etc/profile.d/init.sh
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$OSG_APP/cmssoft/cms/COMP/slc5_amd64_gcc434/external/openssl/0.9.7m/lib:$OSG_APP/cmssoft/cms/COMP/slc5_amd64_gcc434/external/bz2lib/1.0.5/lib
fi
command -v python2.6 > /dev/null
rc=$?
if [[ $rc != 0 ]]
then
echo "WMAgent Error: Python2.6 isn't available on this worker node." >&2
echo "WMAgent Error: WMCore/WMAgent REQUIRES python2.6" >&2
exit 3
else
echo "WMAgent found python2.6 at.."
echo `which python2.6`
fi
export PYTHONPATH=$SAME_SENSOR_HOME/cms-MC-test/lib/python2.6/site-packages:$PYTHONPATH
echo "<h3>Checking PYTHONPATH</h3>" echo "<h3>Checking PYTHONPATH</h3>"
echo "<pre>" echo "<pre>"
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment